import type { _DOMNode } from "./DOMNode.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _DOMEntity extends _DOMNode {
    static alloc(): _DOMEntity;
    static new(): _DOMEntity;
    init(): _DOMEntity;
    publicId(): _NSString;
    systemId(): _NSString;
    notationName(): _NSString;
}
